文档

​
​

Development

User Acquisition

Monetization

工业

ironSource Ads

Android SDK

iOS SDK

ironSource Ads

此页面不支持所选语言。
ironSource Ads
​
​
Monetization
  • Get started
  • Measurement and reports
  • APIs
    • Authentication
    • Reporting
    • Impression level revenue
    • Application
    • Instances
  • SDK
  1. 实现游戏增长
  2. ironSource Ads
  3. ironSource Ads monetization

Reporting API

Retrieve detailed ad performance and monetization reports via the ironSource API for data analysis and business insights.
阅读时间1 分钟
最后更新于 1 年前

重要
Previous API versions will be deprecated on August 15, 2025. Update to the latest version before that deadline for uninterrupted service.
Use this API to receive all the reporting data from the monetization ad formats you serve with LevelPlay and/or ironSource Ads. This includes multiple metrics such as revenue, impressions, active users, and more across several breakdowns and optional filters.
注意
The Reporting API is limited to 8,000 requests every 1 hour.

Authentication type

Bearer API authentication

Method

GET
https://platform.ironsrc.com/levelPlay/reporting/v1

Required parameters

Name

Type

Description

Default

startDate
String
YYYY-MM-DD (UTC Timezone)
endDate
String
YYYY-MM-DD (UTC Timezone)

Optional parameters

With the ironSource Ads Reporting API, reports can be filtered by any one of the optional parameters. This enables you to search for a direct match to any of the filters.

Name

Type

Description

Default

appKey
String (comma separated)
Application Key (as seen on the LevelPlay and ironSource Ads platform)
All app keys
country
String (comma separated)
Two-letter country code.
Refer to ISO 3166-1 Alpha-2.
All countries
adFormat
String
  • rewarded
  • offerwall
  • interstitial
  • banner
All ad formats
adNetwork
String (comma separated)
Mediated ad networks, including ironSource Ads.
When you set
breakdowns=adNetwork
, the response returns the network name in a
networkName
field.
For possible
networkName
values, refer to LevelPlay API naming and configurations.
All ad Sources
isLevelPlayMediation
String (boolean)
Supported as of March 1st, 2024.
Relevant only for ironSource Ads network.
Options are:
  • true
  • false
All
isBidder
String (boolean)
Options are:
  • true
  • false
All
platform
String
Options are:
  • android
  • ios
All
abTest
String
Options are:
  • A
  • B
  • NULL
    Single value expected
All
mediationGroup
String (comma separated)
Mediation Group (as seen on the LevelPlay platform)
All Groups
mediationAdUnitId
String (comma separated)
ID of the ad unit which the revenue was generated from
All Mediation Ad Units
metrics
String (comma separated)
Refer to the Supported metrics section.
All Metrics
breakdowns
String (comma separated)
Refer to the Supported breakdowns section.
date
page
number
Which page number to display
1
resultsPerPage
number
Number of results to display for each page
5000

Supported breakdowns

  • date (day) / week / month.
  • app
  • platform
  • adNetwork (returned as
    networkName
    in the response)
  • isBidder
  • adFormat
  • instance
  • country
  • mediationGroup
  • mediationAdUnit
  • segment
  • placement
  • osVersion
  • sdkVersion
  • appVersion
  • att
  • idfa
  • gaid
  • abTest
  • isLevelPlayMediation
  • bannerSize
注意
If the time period isn't specified, the returned data won't be broken down by a specific time period, but rather all the historical data from the requested metrics.

Supported metrics

  • revenue
  • impressions
  • eCPM
  • clicks
  • clickThroughRate
  • sessions
  • engagedSessions
  • impressionPerEngagedSessions
  • impressionsPerSession
  • activeUsers
  • revenuePerActiveUser
  • sessionsPerActiveUser
  • impressionsPerActiveUser
  • engagedUsers
  • revenuePerEngagedUser
  • impressionsPerEngagedUser
  • engagedUsersRate
  • appFills
  • appFillRate
  • useRate
  • appRequests
  • completions
  • completionRateImpBased
  • revenuePerCompletion
  • adSourceChecks
  • adSourceResponses
  • adSourceAvailabilityRate

Breakdown limitations

Any combination of the below breakdowns will cause a validation error:
  • Instance
  • Segment
  • placement
  • bannerSize
  • Idfa
  • Gaid
  • Att
  • appVersion
  • SdkVersion
  • osVersion

Request example URL

https://platform.ironsrc.com/levelPlay/reporting/v1?startDate=2024-12-01&endDate=2024-12-02&metrics=revenue,impressions,activeUsers&breakdowns=date,adFormat&adFormat=rewarded

JSON example response

{ "data": [ { "date": "2024-12-01", "adFormat": "Rewarded", "revenue": 96891.75, "impressions": 12186156, "activeUsers": 13310891 }, { "date": "2024-12-01", "adFormat": "Rewarded", "revenue": 101385.59, "impressions": 12478225, "activeUsers": 13586039 }, { "date": "2024-12-02", "adFormat": "Rewarded", "revenue": 117979.71, "impressions": 13440354, "activeUsers": 14540198 } ], "page": 1, "pageSize": 3, "totalResults": 10}
The following example shows a response for a request with
breakdowns=adNetwork
. The
adNetwork
request parameter is returned as
networkName
in the response:
{ "data": [ { "networkName": "unityAds", "revenue": 4213.5, "impressions": 502113, "activeUsers": 61042 } ], "page": 1, "pageSize": 1, "totalResults": 1}

Copyright © 2026 Unity Technologies
法律信息隐私政策CookiesDocumentation Terms of Use请勿出售或分享我的个人信息您的隐私选择(Cookie 设置)

“Unity”、Unity 徽标及其他 Unity 商标是 Unity Technologies 或其附属公司在美国和其他地方的商标或注册商标(此处查看更多信息)。其他名称或品牌是其各自所有者的商标。

为方便起见,一些页面是机器翻译的,可能包含不准确的内容。如有信息不一致的情况,以英文版本为准。

  • 在本页上
    • Authentication type

    • Method

    • Required parameters

    • Optional parameters

    • Supported breakdowns

    • Supported metrics

    • Breakdown limitations

    • Request example URL

      • JSON example response


报告此页面的问题